# V2 Projects

## List Projects

`$ llp v2-projects list`

**get** `/api/v2/projects`

List projects in an organization. Requires `organization_id` or a project-scoped API key.

### Parameters

- `--name: optional string`

- `--organization-id: optional string`

- `--page-size: optional number`

- `--page-token: optional string`

### Returns

- `ProjectQueryResponse: object { items, next_page_token, total_size }`

  API query response schema for projects.

  - `items: array of object { id, name, organization_id, 3 more }`

    The list of items.

    - `id: string`

      The project's unique identifier.

    - `name: string`

      The project's display name.

    - `organization_id: string`

      The organization the project belongs to.

    - `created_at: optional string`

      Creation datetime

    - `is_default: optional boolean`

      Whether this project is the default project for its organization.

    - `updated_at: optional string`

      Update datetime

  - `next_page_token: optional string`

    A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

  - `total_size: optional number`

    The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

### Example

```cli
llp v2-projects list \
  --api-key 'My API Key'
```

#### Response

```json
{
  "items": [
    {
      "id": "id",
      "name": "name",
      "organization_id": "organization_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "is_default": true,
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
```

## Get Project

`$ llp v2-projects get`

**get** `/api/v2/projects/{project_id}`

Get a project by ID.

### Parameters

- `--project-id: string`

- `--organization-id: optional string`

### Returns

- `V2ProjectGetResponse: object { id, name, organization_id, 3 more }`

  API response schema for a project.

  - `id: string`

    The project's unique identifier.

  - `name: string`

    The project's display name.

  - `organization_id: string`

    The organization the project belongs to.

  - `created_at: optional string`

    Creation datetime

  - `is_default: optional boolean`

    Whether this project is the default project for its organization.

  - `updated_at: optional string`

    Update datetime

### Example

```cli
llp v2-projects get \
  --api-key 'My API Key' \
  --project-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
```

#### Response

```json
{
  "id": "id",
  "name": "name",
  "organization_id": "organization_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "is_default": true,
  "updated_at": "2019-12-27T18:11:19.117Z"
}
```
